[Prev: LOCKDELAY] | [Resources][TOC] | [Next: LOCKMETHOD]

# LOCKFILE

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_LOCKFILE=`name

Element

  N/A

Command-line Option

  `-lockfile` name

## Description

LOCKFILE is the name of the file used to create a lock on an archive. The file is used in the archive directory to signify that a MHonArc process is accessing the archive, and any other MHonArc process will wait until the lock is released.

WARNING | You should not override the default name unless absolutely necessary, and you are confident about what you are doing.

## Default Setting

`.mhonarc.lck`
`mhonarc.lck` (Windows/MSDOS)
`mhonarc_lck` (VMS)

## Resource Variables

N/A

## Examples

None.

## Version

1.2

## See Also

LOCK, LOCKDELAY, LOCKMETHOD, LOCKTRIES

[Prev: LOCKDELAY] | [Resources][TOC] | [Next: LOCKMETHOD]